Bug 193846 - Review Request: ganglia - Ganglia Distributed Monitoring System
Review Request: ganglia - Ganglia Distributed Monitoring System
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-02 01:04 EDT by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 16:18:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-06-02 01:04:52 EDT
Spec URL: http://wilsonet.com/packages/ganglia/ganglia.spec
SRPM URL: http://wilsonet.com/packages/ganglia/ganglia-3.0.3-1.src.rpm
Description: Ganglia is a scalable, real-time monitoring and execution environment with all execution requests and statistics expressed in an open well-defined XML format.
Comment 1 Jarod Wilson 2006-06-05 10:28:16 EDT
Updated spec and srpm, moves ganglia's web frontend into /usr/share/ganglia
instead of /var/www/html/ganglia.

Spec URL: http://wilsonet.com/packages/ganglia/ganglia.spec
SRPM URL: http://wilsonet.com/packages/ganglia/ganglia-3.0.3-2.src.rpm
Comment 2 Jarod Wilson 2006-06-05 14:52:21 EDT
I'm beginning to hate this package. Busy making some more changes so daemons run
as user ganglia instead of nobody, -4 version uploaded.

SRPM URL: http://wilsonet.com/packages/ganglia/ganglia-3.0.3-4.src.rpm

- Run things as user ganglia instead of nobody
- Don't turn on daemons by default
- Kill off static libs
- Add URL for Source0
Comment 3 Jarod Wilson 2006-06-14 00:49:22 EDT
Slapping this back in, since its gone with the wind (and bugzilla db failure)
otherwise...

------- Additional Comments From tibbs@math.uh.edu  2006-06-13 11:27 EST -------
Crap, I had a bunch of info typed up and then mozilla died for no reason.  I'll
try again....

This builds fine in mock on x86_64, development.

rpmlint has this to say:

W: ganglia-devel no-dependency-on ganglia

Generally the -devel package depends on the main package, but in this case there
is no main package.  OK.

W: ganglia-devel no-documentation

This is not abnormal.  OK.

W: ganglia-gmetad no-documentation

There is a manpage for gmetad; any reason not to package it?

E: ganglia-gmetad non-standard-uid /var/lib/ganglia/rrds ganglia
E: ganglia-gmetad non-standard-gid /var/lib/ganglia/rrds ganglia

OK.

W: ganglia-gmetad dangerous-command-in-%postun userdel

Generally the user is not deleted when the package is removed; rpm may leave the
config files around and they would become unowned if you do this.

W: ganglia-gmetad incoherent-init-script-name gmetad
W: ganglia-gmond incoherent-init-script-name gmond

Generally it's best to try and keep the init files named after the package, but
these are reasonably named and I don't think this is a blocker.

W: ganglia-web no-documentation

There does seem to be some documentation but it's in /usr/share/ganglia.  Any
reason why AUTHORS, COPYING and Changelog aren't %doc?

Other oddities I noticed:

/usr/share/ganglia/Makefile.am
/usr/share/ganglia/version.php.in
Why package these?

What is /usr/lib64/libganglia-3.0.3.so.0.0.0 for?  It's odd to see a versioned
shared library in a -devel package, and nothing seems to link against it.  If
anything did, it would end up pulling in this -devel package, which would be
odd.  Still, it doesn't make much sense to split two files out of a five-file
-devel package.

Why not package the gmetric, gmond and gstat manpages in ganglia-gmond?
Comment 4 Jarod Wilson 2006-06-14 00:57:06 EDT
(In reply to comment #3)
> W: ganglia-gmetad no-documentation
> 
> There is a manpage for gmetad; any reason not to package it?

Another case of fallout from using the upstream spec. Fixed in latest rev.

> W: ganglia-gmetad dangerous-command-in-%postun userdel
> 
> Generally the user is not deleted when the package is removed; rpm may leave the
> config files around and they would become unowned if you do this.

Pulled that.

> W: ganglia-gmetad incoherent-init-script-name gmetad
> W: ganglia-gmond incoherent-init-script-name gmond
> 
> Generally it's best to try and keep the init files named after the package, but
> these are reasonably named and I don't think this is a blocker.

Agreed.

> W: ganglia-web no-documentation
> 
> There does seem to be some documentation but it's in /usr/share/ganglia.  Any
> reason why AUTHORS, COPYING and Changelog aren't %doc?

More taking for granted that upstream did things right. Fixed.

> Other oddities I noticed:
> 
> /usr/share/ganglia/Makefile.am
> /usr/share/ganglia/version.php.in
> Why package these?

Removed from latest version.

> What is /usr/lib64/libganglia-3.0.3.so.0.0.0 for?  It's odd to see a versioned
> shared library in a -devel package, and nothing seems to link against it.  If
> anything did, it would end up pulling in this -devel package, which would be
> odd.  Still, it doesn't make much sense to split two files out of a five-file
> -devel package.

I honestly don't know what the lib is for... Certainly could make a ganglia-libs
package, though yeah, that's two really small packages that are largely
inconsequential. I'm open to whatever on these.

> Why not package the gmetric, gmond and gstat manpages in ganglia-gmond?

Done. As well as packaging the gmetad manpage in ganglia-gmetad.

Check out the -7 release...
Comment 5 Jason Tibbitts 2006-06-14 10:58:18 EDT
Looks like this is indeed the package from hell; Mozilla dies and eats my review
and then bugzilla dies and eats the re-review.  I'll try to get it done today to
shrink the window for additional screwage.
Comment 6 Jason Tibbitts 2006-06-15 12:21:06 EDT
The latest rpmlint output:

W: ganglia-devel no-dependency-on ganglia
W: ganglia-devel no-documentation
E: ganglia-gmetad non-standard-uid /var/lib/ganglia/rrds ganglia
E: ganglia-gmetad non-standard-gid /var/lib/ganglia/rrds ganglia
W: ganglia-gmetad incoherent-init-script-name gmetad
W: ganglia-gmond incoherent-init-script-name gmond

All of which are OK.

Is the license really BSD?  It doesn't seem to have the no-endorsement clause. 
I'd just call it MIT but I'll leave it up to you.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
? license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   c48320a112db20e8372ae8e89d97583e  ganglia-3.0.3.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (x86_64, development).
* rpmlint has only ignorable complaints.
* final provides and requires are sane:

  ganglia-devel-3.0.3-7.fc6.x86_64.rpm
   libganglia-3.0.3.so.0()(64bit)
   ganglia-devel = 3.0.3-7.fc6
  =
   /bin/sh
   /sbin/ldconfig
   libganglia-3.0.3.so.0()(64bit)

  ganglia-gmetad-3.0.3-7.fc6.x86_64.rpm
   config(ganglia-gmetad) = 3.0.3-7.fc6
   ganglia-gmetad = 3.0.3-7.fc6
  =
   /bin/sh
   config(ganglia-gmetad) = 3.0.3-7.fc6
   librrd.so.2()(64bit)

  ganglia-gmond-3.0.3-7.fc6.x86_64.rpm
   config(ganglia-gmond) = 3.0.3-7.fc6
   ganglia-gmond = 3.0.3-7.fc6
  =
   /bin/sh
   config(ganglia-gmond) = 3.0.3-7.fc6

  ganglia-web-3.0.3-7.fc6.x86_64.rpm
   config(ganglia-web) = 3.0.3-7.fc6
   ganglia-web = 3.0.3-7.fc6
  =
   config(ganglia-web) = 3.0.3-7.fc6
   ganglia-gmetad >= 3.0.3
   rrdtool

* shared libraries are present; ldconfig is called properly.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* scriptlets present (ldconfig); all OK.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers present in -devel package.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* web app; files are in /usr/share/%{name}

APPROVED; I'll let you decide what the license tag should be.
Comment 7 Jarod Wilson 2006-06-15 16:15:52 EDT
For the time being, I'll roll with BSD for the license tag, because that's what
the ganglia folks themselves put in the spec included in their distributed
tarball. I'll shoot a query to the project mailing list though -- 3.0.4 isn't
too far out, from what I can tell. Package now imported, just waiting on
branching to close the ticket...
Comment 8 Jarod Wilson 2006-06-19 16:18:44 EDT
Packages all built, closing.
Comment 9 Christian Iseli 2006-12-31 05:53:38 EST
(In reply to comment #8)
> Packages all built, closing.

Please do not remove the FE-ACCEPT blocker.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.